Fedora

Title bar not drawn on maximized windows when desktop effects are enabled

Reported by Soren Hauberg on 2007-03-04
62
Affects Status Importance Assigned to Milestone
compiz (Fedora)
Won't Fix
Unknown
compiz (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

Running newly upgraded feisty on an ibm x31.

If I enable the desktop effects in gnome the title bar on maximized windows are drawn completely white.
All other things related to the desktop effects seems to work just fine (the window switcher works, ...).

The graphics card is an "ATI Radeon Mobility M6 LY" and the xorg.conf unaltered. Don't know what other information to provide...

ProblemType: Bug
Date: Sun Mar 4 23:26:21 2007
DistroRelease: Ubuntu 7.04
Uname: Linux sh-laptop 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686 GNU/Linux

odolphi (eodolphi) wrote :

I have exactly the same problem with the same graphics card

maybe the attached screenshot helps

Ian Murdock (imurdock) wrote :

Same problem here. -ian

Ian Murdock (imurdock) wrote :

P.S. - I have an IBM ThinkPad X31 too and "ATI Radeon Mobility M6 LY" video card too. -ian

Travis Watkins (amaranth) wrote :

Perhaps this is the same bug as bug 89189? Try adding the following to the Device section in xorg.conf and see if it helps:
Option "XAANoOffscreenPixmaps" "true"

Soren Hauberg (hauberg) wrote :

Adding
  Option "XAANoOffscreenPixmaps" "true"
to xorg.conf doesn't work for me. The relevant part of xorg.conf is currently:

Section "Device"
        Identifier "Standard Video Kort"
        Driver "ati"
        BusID "PCI:1:0:0"
        Option "UseFBDev" "true"
        Option "XAANoOffscreenPixmaps" "true"
EndSection

This is the default with the suggested option added.

Same problem here, using Nvidia GeForce 6100

eppy 1 (choppy121212) wrote :

On the Feisty Fawn Beta, compiz kind of worked but it was still broken, with some white and empty windows, while other windows worked. I then fully updated all packages to the current Feisty Fawn in the hopes that this was just a glitch.

On a fully updated Feisty Fawn, I get a white desktop, white title bars, and corrupted gnome-panel with compiz enabled.

My card is an ATI Radeon "All in Wonder" 7200. In hardware manager it says, "Radeon R100 QD [Radeon 7200]"

I haven't touched my xorg.conf either.

plucky (find-neil) wrote :

Hello all,

Same here - IBM X31 w/ ATI Radeon Mobility M6 LY

Section "Device"
 Identifier "ATI Technologies Inc Radeon Mobility M6 LY"
 Driver "radeon"
 BusID "PCI:1:0:0"
 Option "XAANoOffscreenPixmaps" "true"
EndSection

Everything else (Compiz) seems fine.

plucky (find-neil) wrote :

Sorry - should have added to the above ^ brand new squeaky-clean install of FF beta, not been monkeyed about with yet.

eppy 1 (choppy121212) wrote :

That's odd---I don't have that XAANoOffscreenPixmaps line in my xorg.conf, even after I enabled desktop effects. The effects still work (ie., wobbly windows), but the desktop is so glitchy that it's unusable.

Here's the relevant portion:

Section "Device"
        Identifier "ATI Technologies Inc Radeon R100 QD [Radeon 7200]"
        Driver "ati"
        BusID "PCI:1:0:0"
EndSection

I just added the [ Option "XAANoOffscreenPixmaps" "true" ] under the BusID, and now 3d seems much faster, and the effects are faster too. I wonder why that option isn't added for the r100 automatically?

I also tried Beryl, but their window manager doesn't work on this card and reverts back to metacity. Compiz however does now work with all that 3d goodness--except that the desktop goes white, and the bottom gnome -panel with my window list doesn't respond or update.. I tried killing nautilus, because it draws the desktop, but it was still white, even after it came back up.

I attached a screen shot of what I mean. You can tell that compiz is working (shadows, alt + tab, all that) but the desktop is white and glitchy and gnome-panel at the bottom isn't working.

eppy 1 (choppy121212) wrote :

I've also added [[Option "RenderAccel" "true" in response to Bug 73473.

I also attached . In my case, only Firefox gets the white. I can still drag it however and make Firefox wobble however, just like I can open icons on my "white desktop". The window border and icons on my desktop just seem invisible for some reason.

I added another screenshot to show the weird glitches that only appear on the right quadrant of my screen when I drag windows across that region.

jeroen (jeroen-hoc) wrote :

Same problem here with feisty/compiz on a thinkpad x31 with Radeon Mobility M6 LY
With window borders on maximized windows.

Also noticed that resizing the top panel to 31 pixels cloaks the panel and moving the panel to the side brings back my window borders.
I'll try to attach a screenshot.

Jeroen

plucky (find-neil) wrote :

Update:

I've just installed the Compiz Manager (apt-get install gnome-compiz-manager) and found that unchecking the option to use 'metacity theme' fixes the maximized window borders problem. Also everything seems less laggy but that could be my imagination.

Where does this leave the bug?

eppy 1 (choppy121212) wrote :

plucky, I just tried that and still get the white maximized window border. I wonder how others fare with it.

jeroen (jeroen-hoc) wrote :

For me disabling the metacity theme fixes the problem of the white borders. Still my top panels get all white when I make it exactly 31 pixel high but I can live with that !

Jeroen

On 4/5/07, jeroen <email address hidden> wrote:
> For me disabling the metacity theme fixes the problem of the white
> borders. Still my top panels get all white when I make it exactly 31
> pixel high but I can live with that !
>
> Jeroen
>
> --
> Title bar not drawn on maximized windows when desktop effects are enabled
> https://bugs.launchpad.net/bugs/89741
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi, After all I didn't need this fix or this bug, my problem was fixed
by following Bug 91850 's workaround here:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
. I have a very old, low memory video card which caused this problem,
among others (32mb radeon).

plucky (find-neil) wrote :

Hi - I've no idea what that does // but it works for me too! Thanks for that.

>>Hi, After all I didn't need this fix or this bug, my problem was fixed
>>by following Bug 91850 's workaround here:
>>https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
>>I have a very old, low memory video card which caused this problem,
>>among others (32mb radeon)

Herman Bos (hbos) wrote :

I fixed to problem by removing the nvidia driver and enabling it again with the restricted-manager. I was missing some important options in xorg.conf. I guess I was missing these because i upgrade this install from dapper->edgy->feisty.

steliosd (dritsas) wrote :

Hi all,
I managed to fix the same/similar problem.
I installed feisty on my vaio laptop and turned on the visual effects.
None of the borders was drawn, so I couldn't move the windows around etc.

I did a couple of things... I modified the /etc/X11/xorg.conf

Section "Device"
    Identifier "nVidia Corporation NV43 [GeForce Go 6200/6400]"
    Driver "nvidia"
    Option "AllowGLXWithComposite" "true"
    Option "RenderAccel" "true"
    Option "NoLogo" "True"
EndSection

Section "Extensions"
    Option "Composite" "Enable"
EndSection

also is set the depth bit depth to 24 (it was 16 by default)

Section "Screen"
    Identifier "Default Screen"
    Device "nVidia Corporation NV43 [GeForce Go 6200/6400]"
    Monitor "Generic Monitor"
    DefaultDepth 24
    Option "AddARGBGLXVisuals" "True"

finally, i installed the nvidia-glx-new driver thingy
in the synaptic package manager, this action removed the default nvidia-glx module
then I restarted the computer and voila!!! borders and wiggly windows!!!

somehow the cube thingy didn't work on my machine even though i checked the option in the
enable effects dialog, so i have to start it up by myself...

i made a script with these couple of lines that start it up manually...

gconftool-2 --type int --set /apps/compiz/general/screen0/options/hsize 4
gconftool-2 --type int --set /apps/compiz/general/screen0/options/number_of_desktops 1

now, i have to figure out why some apps render black =((

-stelios

Same problem here, on a Dell D600 with ATI Radeon 9000 (r250). This bug appears on both compiz/beryl :(

Changed in compiz:
status: Unknown → Confirmed

Hi steliosd,
you are the first person that I know that have Ubuntu installed in Vaio and with my nvidia 6200.

I've installed the compiz fusion but with several bugs! I had to change to depth 16 and then I was able to see the cube. But now I don´t have the title bar! And when I open several windows counting from the third they all open black.

Question: Can you send me your xorg by mail or post it here? Because i think I have something wrong. I don't know what vert and horz refresh must I put and so on.

My mail: <email address hidden>

Thank you in advanced,

pmontalvao

steliosd (dritsas) wrote :
Download full text (5.3 KiB)

Hi Paulo

I hope this helps... You can set the bits per pixel at 24 but don't try 32... I crashed ubuntu casually and then I had to fix it through the command line =(((

The key factor is the driver though... Just get the newest one and it will bring in the title bars... It will though freak out with minimizing and maximizing windows... Everything turns black... I think there is some sort of memory leak or something because this gets worse over time (since the time you enable the gl desktop)

btw... for some reason the backslash key on my laptop is not working, so while i can type "/" i cannot do the reverse, instead I get ">" =)) do you have the same problem in your vaio???

8<----

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder3) Thu Nov 9 17:55:20 PST 2006

# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf(5) manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
    Identifier "Default Layout"
    Screen "Default Screen" 0 0
    InputDevice "Generic Keyboard"
    InputDevice "Configured Mouse"
    InputDevice "stylus" "SendCoreEvents"
    InputDevice "cursor" "SendCoreEvents"
    InputDevice "eraser" "SendCoreEvents"
    InputDevice "Synaptics Touchpad"
EndSection

Section "Files"

 # path to defoma fonts
    FontPath "/usr/share/fonts/X11/misc"
    FontPath "/usr/share/fonts/X11/cyrillic"
    FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
    FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
    FontPath "/usr/share/fonts/X11/Type1"
    FontPath "/usr/share/fonts/X11/100dpi"
    FontPath "/usr/share/fonts/X11/75dpi"
    FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
    Load "i2c"
    Load "bitmap"
    Load "ddc"
    Load "extmod"
    Load "freetype"
    Load "glx"
    Load "int10"
    Load "vbe"
EndSection

Section "InputDevice"
    Identifier "Generic Keyboard"
    Driver "kbd"
    Option "CoreKeyboard"
    Option "XkbRules" "xorg"
    Option "XkbModel" "pc105"
    Option "XkbLayout" "us"
EndSection

Section "InputDevice"
    Identifier "Configured Mouse"
    Driver "mouse"
    Option "CorePointer"
    Option "Device" "/dev/input/mice"
    Option "Protocol" "ImPS/2"
    Option "ZAxisMapping" "4 5"
    Option "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
    Identifier "Synaptics Touchpad"
    Driver "syna...

Read more...

Changed in compiz:
importance: Undecided → Medium
status: New → Confirmed
hindukush (agambh) wrote :

hi,
i have the same problem, ive got a dell xps m1210 laptop tat uses the intel video card 945gm chipset.

After i install compiz it works fine but after a restart the title bars just dissaper from all windows. eg. terminal, firefox and anything else.

how do i fix this????
please help me
my screen resolution is set to 1280 x 800
and depth to 32

please help
and i would also like to know once this bug is fixed that how can i get compiz to start automatically on eash boot.

thanks!!!!!

Jociel C. Andrade (jcainfo) wrote :

Here, when the 3d effects is enabled and I open the game TuxKart or SupertuxKart, the title bar is not shown. When I close the application with ALT+F4 the screen is not refreshed, keeping the screen of the game. When I use CTRL+ALT+LEFT and CTRL+ALT+RIGHT the screen is refreshed and the game screen disapeer.

Primemover (primemover84) wrote :

The attached screenshot shows the effect on a maximized window. Putting the mouse over the minimize, maximize, or close button fixes the glitch, until it happens again. Sometimes when windows are maximized double-clicking the titlebar to restore yields no result. Right clicking on the titlebar results in the same menu as if I right-clicked on the desktop.

Brett Alton (brett-alton) wrote :

I had that problem a while back too. A simple re-focus fixed it.

I now have a new problem however and it deals with the Window Title not drawing itself what-so-ever.

See my screenshot for details.

daws (dawsdesign) wrote :

I have the same exact issue on my T42. Also, if I resize a window, once it gets a certain size, the title bar turns white like that. So it doesn't necessarily have to be maximized.

daws (dawsdesign) wrote :

BTW, I'm running Gutsy-dev.

daws (dawsdesign) wrote :

I went into the Screens and Graphics configuration and changed my Monitor from 1280x1024 generics to 1024x768 and now everything is looking good. The resolution was already at 1024x768 which it maxes out at.

Saman Barghi (saman-b) wrote :

I had the same problem with white borders, when I maximized the window or resized it to a size larger than my screen, the borders and title bar became thick and white. But with the normal size everything was fine. I have Radeon 7500 on my laptop, and gutsy is installed. Everything was fine but after the latest upgrade the problem appears, however the drirc thing worked for me and now everything is fine. I have attached the screenshots.
Thanks.

>>Hi, After all I didn't need this fix or this bug, my problem was fixed
>>by following Bug 91850 's workaround here:
>>https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
>>I have a very old, low memory video card which caused this problem,
>>among others (32mb radeon)

Trond Husoe (tr-huso) wrote :

The same bug is present on my Dell D420 (1280x800). Yesterday I ran the GL Desktop and it came back, today it didn't.
Running Gutzy.

-t-

batchoy (davis-bahay) wrote :

>>Hi, After all I didn't need this fix or this bug, my problem was fixed
>>by following Bug 91850 's workaround here:
>>https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
>>I have a very old, low memory video card which caused this problem,
>>among others (32mb radeon)

This fixed the blank title bar problem on a 16MB ATi Radeon. Thank you very much.

steliosd (dritsas) wrote :

Anyone fixed the black windows issue? I notice it happens with large
windows (maximized) but not with menus etc... I have 128MB nvidia
g-card and still no progress =((

On 10/25/07, batchoy <email address hidden> wrote:
> >>Hi, After all I didn't need this fix or this bug, my problem was fixed
> >>by following Bug 91850 's workaround here:
> >>https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
> >>I have a very old, low memory video card which caused this problem,
> >>among others (32mb radeon)
>
> This fixed the blank title bar problem on a 16MB ATi Radeon. Thank you
> very much.
>
> --
> Title bar not drawn on maximized windows when desktop effects are enabled
> https://bugs.launchpad.net/bugs/89741
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
--
office. +44 (0)20 7596 4414
cell. +44 (0)77 9971 4599
home. +44 (0)20 703 34478
email. <email address hidden>
web. http://dritsas.net
web2. http://jeneratiff.com

steliosd (dritsas) wrote :

amen!!!

I downloaded the latest driver

NVIDIA-Linux-x86-100.14.19-pkg1

and this fixed all of my problems =))

for reference I am on a Sony Vaio laptop with nVidia 6400 Go

-Stelios

On 10/25/07, Stylianos Dritsas <email address hidden> wrote:
> Anyone fixed the black windows issue? I notice it happens with large
> windows (maximized) but not with menus etc... I have 128MB nvidia
> g-card and still no progress =((
>
>
> On 10/25/07, batchoy <email address hidden> wrote:
> > >>Hi, After all I didn't need this fix or this bug, my problem was fixed
> > >>by following Bug 91850 's workaround here:
> > >>https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4
> > >>I have a very old, low memory video card which caused this problem,
> > >>among others (32mb radeon)
> >
> > This fixed the blank title bar problem on a 16MB ATi Radeon. Thank you
> > very much.
> >
> > --
> > Title bar not drawn on maximized windows when desktop effects are enabled
> > https://bugs.launchpad.net/bugs/89741
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> --
> --
> office. +44 (0)20 7596 4414
> cell. +44 (0)77 9971 4599
> home. +44 (0)20 703 34478
> email. <email address hidden>
> web. http://dritsas.net
> web2. http://jeneratiff.com
>

--
--
office. +44 (0)20 7596 4414
cell. +44 (0)77 9971 4599
home. +44 (0)20 703 34478
email. <email address hidden>
web. http://dritsas.net
web2. http://jeneratiff.com

Changed in compiz:
status: Confirmed → Invalid
Travis Watkins (amaranth) wrote :

There seem to be several different bugs in the comments here. I believe many of them are fixed and the original bug should be fixed so I'm closing this.

Changed in compiz:
status: Confirmed → Fix Released
Changed in compiz:
status: Invalid → In Progress
RedCat (thomasmjaeger) wrote :

The Ubuntu fix listed above worked for my Fedore 8 Dell Inspiron 5100 ATI Radeon Mobility M7 LW (7500). https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4

Just used nano to create the file as mentioned there:

You can create /etc/drirc file with the following contents:
<option name="allow_large_textures" value="2" />

cenora (cenora) wrote :

The fix provided by eppy
(https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/91850/comments/4)

worked for me on my IBM T-42.

Great! Now, it a fix is already released, shouldn't it be put in the ubuntu automatic updates?

Hacking a file is not a fun way to fix issues.

Thomas Champagne (lafeuil) wrote :

I think this bug is similar to : http://bugs.freedesktop.org/show_bug.cgi?id=10501 .

The issue has been fix with the patch : http://bugs.freedesktop.org/attachment.cgi?id=16230.

Changed in compiz:
status: In Progress → Won't Fix
Uri Shabtay (uri.shabtay) wrote :

hi all,

my problem is similar but the Titlebar (meaning the writings in it, the decoration is fine) isn't shown when Compiz is enabled..
i can't upload any pics, so it'll be a little hard to explain.. i have Ubuntu 8.10 with Hebrew and Arabic locale (the menus are in English though) and when i use metacity, everything is working fine.
In the same window, when i enable Compiz, the headline is GONE (in Emerald i can see the edges of the headline in the far right corner of the titlebar).

This happens only with Hebrew and Arabic sentences only (probably because it's RTL). in English it works fine.

thanks in advance..

Uri

Hi,

@Uri Shabtay, from what wrote, I think you mean this bug: #141472

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.